Bug 28930 - attachment file sizes reported in the message body not realistic
Summary: attachment file sizes reported in the message body not realistic
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pine   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
low
low
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-22 22:00 UTC by Pekka Savola
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-22 22:00:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Pekka Savola 2001-02-22 22:00:41 UTC
Not a showstopper.

Attachment file sizes (at least in some cases) seem to be *way* off, for example:

    [ Part 2, Application/X-RPM  5.7MB. ]
    [ Cannot display this part. Press "V" then "S" to save in a file. ]

Hit V

   1     20 lines   Text/PLAIN                                                      
   2    4.3 MB      Application/X-RPM                                               

after saving:

$ ls -la sdr-3.0-1.src.rpm 
-rw-rw-r--    1 pekkas   pekkas    4207876 Feb 22 23:29 sdr-3.0-1.src.rpm

also happened with 4.31, at least.

Might this have something to do with the encoding used (and calculating the space needed by the encoded text,
rather than the saved file)

Comment 1 Preston Brown 2001-02-23 21:01:07 UTC
it is showing the base64 encoded size...


Note You need to log in before you can comment on or make changes to this bug.